0

After downgrade magento 2.3.5-p1 to magento 2.3.4 getting error when setup upgrade command fire

An abstract factory could not create an instance of magentoframeworkappdeploymentconfig(alias: Magento\Framework\App\DeploymentConfig).
4
  • There should be more informations in the Exception.log, can you post these as well. On another node: Magento isn't really build to downgrade. A lot of problems can occure.
    – CloudySi
    May 6, 2020 at 12:38
  • not getting any error in Exception.log, May 6, 2020 at 12:40
  • Hmm then try to debug it in vendor/laminas/laminas-servicemanager/src/ServiceManager.php in the method createFromAbstractFactory.
    – CloudySi
    May 6, 2020 at 13:11
  • I am also getting this error after upgrading from magento v 2.2.6 to 2.3.5-p1. May 27, 2020 at 19:08

1 Answer 1

1

I'm sorry to say that Magento doesn't support to downgrade. However, if you still want to do it, you need to install Magento version 2.3.4, create a fresh site then migrate data from your old store to the new one.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.